Net::Packet::CDP::TypeAddresses(3)

NAME
Net::Packet::CDP::TypeAddresses - Cisco Discovery Protocol Addresses extension header

SYNOPSIS
   use Net::Packet::Consts qw(:cdp);
   require Net::Packet::CDP::TypeAddresses;

   # Build a layer
   my $layer = Net::Packet::CDP::TypeAddresses->new(
      type              => NP_CDP_TYPE_ADDRESSES,
      length            => 8,
      numberOfAddresses => 0,
      addresses         => [],
   );
   $layer->pack;

   print 'RAW: '.unpack('H*', $layer->raw)."\n";

   # Read a raw layer
   my $layer = Net::Packet::CDP::TypeAddresses->new(raw => $raw);

   print $layer->print."\n";
   print 'PAYLOAD: '.unpack('H*', $layer->payload)."\n"
      if $layer->payload;

DESCRIPTION
This modules implements the encoding and decoding of the Cisco Discovery Protocol Addresses type extension header.

ATTRIBUTES

type - 16 bits
length - 16 bits
numberOfAddresses - 32 bits
addresses - variable length
    The last one contains an arrayref of Net::Packet::CDP::Address objects.

METHODS

new Object constructor. You can pass attributes that will overwrite default ones. Default values:

    type: NP_CDP_TYPE_ADDRESSES

    length: 8

    numberOfAddresses: 0

    addresses: []

pack
    Packs all attributes into a raw format, in order to inject to network. Returns 1 on success, undef otherwise.

unpack
    Unpacks raw data from network and stores attributes into the object. Returns 1 on success, undef otherwise.

CONSTANTS
See Net::Packet::CDP CONSTANTS.

AUTHOR
Patrice <GomoR> Auffret

COPYRIGHT AND LICENSE
Copyright (c) 2004-2009, Patrice <GomoR> Auffret

You may distribute this module under the terms of the Artistic license. See LICENSE.Artistic file in the source distribution archive.

RELATED MODULES
NetPacket, Net::RawIP, Net::RawSock